Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class BranchAndFinancialInstitutionIdentificationSDD1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.BranchAndFinancialInstitutionIdentificationSDD1

    public class BranchAndFinancialInstitutionIdentificationSDD1
    extends java.lang.Object

Java class for BranchAndFinancialInstitutionIdentificationSDD1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BranchAndFinancialInstitutionIdentificationSDD1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FinInstnId" type="{urn:swift:xsd:$pain.008.002.01}FinancialInstitutionIdentificationSDD1"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected FinancialInstitutionIdentificationSDD1` `finInstnId`

### Constructor Summary

Constructors
`BranchAndFinancialInstitutionIdentificationSDD1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FinancialInstitutionIdentificationSDD1` `getFinInstnId()` Gets the value of the finInstnId property.
`void` `setFinInstnId​(FinancialInstitutionIdentificationSDD1 value)` Sets the value of the finInstnId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### finInstnId

    protected FinancialInstitutionIdentificationSDD1 finInstnId

### Constructor Detail

#### BranchAndFinancialInstitutionIdentificationSDD1

    public BranchAndFinancialInstitutionIdentificationSDD1()

### Method Detail

#### getFinInstnId

    public FinancialInstitutionIdentificationSDD1 getFinInstnId()

Gets the value of the finInstnId property.

Returns:
  possible object is `FinancialInstitutionIdentificationSDD1`

#### setFinInstnId

    public void setFinInstnId​(FinancialInstitutionIdentificationSDD1 value)

Sets the value of the finInstnId property.

Parameters:
  `value` - allowed object is `FinancialInstitutionIdentificationSDD1`